# KDChartThreeDBarAttributes.h File Reference

`#include <QMetaType>`
`#include "KDChartAbstractThreeDAttributes.h"`
`#include "KDChartGlobal.h"`

Include dependency graph for KDChartThreeDBarAttributes.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | KDChart

## Classes

class | KDChart::ThreeDBarAttributes
| A set of 3D bar attributes. More...

## Functions

KDCHART_EXPORT QDebug | operator<< (QDebug, const KDChart::ThreeDBarAttributes &)
| Q_DECLARE_TYPEINFO (KDChart::ThreeDBarAttributes, Q_MOVABLE_TYPE)

## Function Documentation

KDCHART_EXPORT QDebug operator<< | ( | QDebug | ,
|  | const KDChart::ThreeDBarAttributes & |  |
| ) |  |  |

Definition at line 105 of file KDChartThreeDBarAttributes.cpp.

References KDChart::ThreeDBarAttributes::angle(), and KDChart::ThreeDBarAttributes::useShadowColors().

    00106 {
    00107     dbg << "KDChart::ThreeDBarAttributes(";
    00108     dbg = operator <<( dbg, static_cast<const AbstractThreeDAttributes&>(a) );
    00109     dbg << "useShadowColors="<< a.useShadowColors()
    00110         << "angle=" << a.angle() << ")";
    00111     return dbg;
    00112 }

Q_DECLARE_TYPEINFO | ( | KDChart::ThreeDBarAttributes | ,
|  | Q_MOVABLE_TYPE |  |
| ) |  |  |